﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Win_C1Sizer_CellBackColor_cs
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        Random rnd;

        private void Form1_Load(object sender, EventArgs e)
        {
            c1Sizer1.Border.Thickness = new Padding(1);
            c1Sizer1.Padding = new Padding(0);
            c1Sizer1.SplitterWidth = 0;
            c1Sizer1.Border.Color = Color.Black;

            //created na object from Random to facilitate drawing with random colors
            rnd = new Random();

            c1Sizer1.Paint += (s1, e1) =>
            {
                var _sizer = s1 as C1.Win.C1Sizer.C1Sizer;

                foreach (C1.Win.C1Sizer.Band row in _sizer.Grid.Rows)
                {
                    //Get Row rectangle
                    Rectangle row_rect = row.Bounds;

                    foreach (C1.Win.C1Sizer.Band col in _sizer.Grid.Columns)
                    {
                        //Get column rectangle
                        Rectangle col_rect = col.Bounds;
                        //Get cellractangle, which is the intersection of row_rect & col_rect
                        Rectangle cell_rect = Rectangle.Intersect(row_rect, col_rect);
                        //set BackColor
                        e1.Graphics.FillRectangle(new SolidBrush(System.Drawing.Color.FromArgb(rnd.Next(255), rnd.Next(255), rnd.Next(255), rnd.Next(255))), cell_rect);
                        //Draw border
                        ControlPaint.DrawBorder(e1.Graphics, cell_rect, Color.Black, ButtonBorderStyle.Solid);
                    }
                }
            };
        }
    }
}
